Package com.io7m.waxmill.machines

# Class WXMTTYBackendNMDM

java.lang.Object
com.io7m.waxmill.machines.WXMTTYBackendNMDM

All Implemented Interfaces:
  `WXMDeviceType.WXMTTYBackendNMDMType`, `WXMDeviceType.WXMTTYBackendType`

    public final class WXMTTYBackendNMDM
    extends java.lang.Object
    implements WXMDeviceType.WXMTTYBackendNMDMType

Immutable implementation of `WXMDeviceType.WXMTTYBackendNMDMType`.

Use the builder to create immutable instances: `WXMTTYBackendNMDM.builder()`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `WXMTTYBackendNMDM.Builder` | Builds instances of type `WXMTTYBackendNMDM`.

  ## Nested classes/interfaces inherited from interface com.io7m.waxmill.machines.WXMDeviceType.WXMTTYBackendType

  `WXMDeviceType.WXMTTYBackendType.Kind`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMTTYBackendNMDM.Builder` | `builder()` | Creates a builder for `WXMTTYBackendNMDM`.
  `java.lang.String` | `comment()` |
  `static WXMTTYBackendNMDM` | `copyOf​(WXMDeviceType.WXMTTYBackendNMDMType instance)` | Creates an immutable copy of a `WXMDeviceType.WXMTTYBackendNMDMType` value.
  `java.lang.String` | `device()` |
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `WXMTTYBackendNMDM` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `device`, `comment`.
  `java.lang.String` | `toString()` | Prints the immutable value `WXMTTYBackendNMDM` with attribute values.
  `WXMTTYBackendNMDM` | `withComment​(java.lang.String value)` | Copy the current immutable object by setting a value for the `comment` attribute.
  `WXMTTYBackendNMDM` | `withDevice​(java.lang.String value)` | Copy the current immutable object by setting a value for the `device` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.waxmill.machines.WXMDeviceType.WXMTTYBackendNMDMType

  `kind`

- ## Method Details

  - ### device

    public java.lang.String device()
    Specified by:
      `device` in interface `WXMDeviceType.WXMTTYBackendNMDMType`
    Specified by:
      `device` in interface `WXMDeviceType.WXMTTYBackendType`
    Returns:
      The value of the `device` attribute

  - ### comment

    public java.lang.String comment()
    Specified by:
      `comment` in interface `WXMDeviceType.WXMTTYBackendNMDMType`
    Specified by:
      `comment` in interface `WXMDeviceType.WXMTTYBackendType`
    Returns:
      The value of the `comment` attribute

  - ### withDevice

    public final WXMTTYBackendNMDM withDevice​(java.lang.String value)
    Copy the current immutable object by setting a value for the `device` attribute. An equals check used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for device
    Returns:
      A modified copy of the `this` object

  - ### withComment

    public final WXMTTYBackendNMDM withComment​(java.lang.String value)
    Copy the current immutable object by setting a value for the `comment` attribute. An equals check used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for comment
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `WXMTTYBackendNMDM` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `device`, `comment`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `WXMTTYBackendNMDM` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### copyOf

    public static WXMTTYBackendNMDM copyOf​(WXMDeviceType.WXMTTYBackendNMDMType instance)
    Creates an immutable copy of a `WXMDeviceType.WXMTTYBackendNMDMType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable WXMTTYBackendNMDM instance

  - ### builder

    public static WXMTTYBackendNMDM.Builder builder()
    Creates a builder for `WXMTTYBackendNMDM`.

         WXMTTYBackendNMDM.builder()
            .setDevice(String) // required device
            .setComment(String) // optional comment
            .build();

    Returns:
      A new WXMTTYBackendNMDM builder